Package icyllis.arc3d.core

# Class Matrix3

java.lang.Object
icyllis.arc3d.core.Matrix3

public class Matrix3 extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `m11`
  `float`
  `m12`
  `float`
  `m13`
  `float`
  `m21`
  `float`
  `m22`
  `float`
  `m23`
  `float`
  `m31`
  `float`
  `m32`
  `float`
  `m33`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Matrix3()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Matrix3`
  `identity()`
  Create a new identity matrix.
  `void`
  `setIdentity()`
  Reset this matrix to the identity.
  `void`
  `store(long p)`
  Get this matrix data, store them into an address (UNSAFE).
  `void`
  `storeAligned(long p)`
  Get this matrix data, store them into an address (UNSAFE).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### m11

    public float m11

  - ### m12

    public float m12

  - ### m13

    public float m13

  - ### m21

    public float m21

  - ### m22

    public float m22

  - ### m23

    public float m23

  - ### m31

    public float m31

  - ### m32

    public float m32

  - ### m33

    public float m33

- ## Constructor Details

  - ### Matrix3

    public Matrix3()

- ## Method Details

  - ### identity

    @Nonnull public static Matrix3 identity()
    Create a new identity matrix.
    Returns:
      an identity matrix

  - ### setIdentity

    public void setIdentity()
    Reset this matrix to the identity.

  - ### store

    public void store(long p)
    Get this matrix data, store them into an address (UNSAFE). NOTE: This method does not perform memory security checks.
    Parameters:
      `p` - the pointer of the array to store

  - ### storeAligned

    public void storeAligned(long p)
    Get this matrix data, store them into an address (UNSAFE). The data matches std140 layout so it is not tightly packed. NOTE: This method does not perform memory security checks.
    Parameters:
      `p` - the pointer of the array to store, must be aligned